SamplerLogNormal Class Reference

Lognormal Sampler. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| SamplerLogNormal (unsigned long seed=SeedGenerator::instance().get())
| SamplerLogNormal (const SamplerLogNormal &sampler)
SamplerLogNormal & | operator= (const SamplerLogNormal &sampler)
void | operator() (Array &newPoint, const Array &currentPoint, const Array &temp) const

## Detailed Description

Lognormal Sampler.

Sample from lognormal distribution. This means that the parameter space must have support on the positve side of the real line only.